Subject: Ticket Assigned - Complaint/Return for Order # 9629682770
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 17 Feb 2021 02:20:53 +0000 (UTC)

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complaint/Return for Order # 9629682770 Dear Sir/Madam,

Good Day...

Hope you are doing well. This is to bring you kind attention that I have been chasing for the return for the above subject order.

Please note that I have called 5 times and getting the generic answers ( We apologize .. sorry for inconvenience .... We will write the complaint etc) without any resolution so far.

I have spent my time, energy and fuel while visiting your Sharjah outlet but no vain.

Really disappointed with the service.

Thank you.

Regards,
Shakir Ali
055-9449574

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2102930